Announcement

Collapse
No announcement yet.

DRI3 Still Appears To Be Causing Problems For Nouveau

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • DRI3 Still Appears To Be Causing Problems For Nouveau

    Phoronix: DRI3 Still Appears To Be Causing Problems For Nouveau

    As a quick PSA, while you may be wanting to try out DRI3 support with the open-source NVIDIA (Nouveau) driver as it is capable of enhancing the performance, so far my latest attempts have been marred by rendering issues...

    http://www.phoronix.com/scan.php?pag...u-Display-Woes

  • #2
    i tried dri3 on radeon, and firefox started crashing or locking up in mysterious ways. Maybe i will revisit it in a few days.

    Switching back completely fixes the issue - without any changes in firefox, my software or anything, so i would say it's not like nouveau is the only one with issues here.

    Comment


    • #3
      Also, some Unity based games refuse to work properly on radeonsi with DRI3 and multithreaded rendering enabled, for instance Road Redemption and Empire TV Tycoon.

      Comment


      • #4
        This makes native drivers nouveau deepin 15- Ubuntu 14.04,14.10,15.04,15.10 and 16.04. http://s28.postimg.org/6f8j384m5/IMG_0033.jpg
        It is an interesting topic since then to install nvidia graphics drivers the problem goes away. But along the installation the problem is always the same. what i called the attention is that it does not happen with the current Linux Mint 17.3. So calculation that it might be a system issue also i step with op. deppin the same. At this stage cannot be take a resolution to 1920x1080 screens / 1680x1050 is painful. I think that the problem could be with the convergence has the same format as a cell phone so that there may be a problem there.

        Comment


        • #5
          Not entirely related but somewhat and funny.
          http://imgur.com/Ql1dsZC
          Hope that's not an old one. But the content still is true to a certain degree.
          Stop TCPA, stupid software patents and corrupt politicians!

          Comment


          • #6
            I think I actually recognize that error. It's due to incorrect composite support. Does it look good if you switch your window manager to Metacity with the compositing manager disabled in dconf?

            Comment


            • #7
              Originally posted by JoeTennies View Post
              I think I actually recognize that error. It's due to incorrect composite support. Does it look good if you switch your window manager to Metacity with the compositing manager disabled in dconf?
              Do you have information on what specifically about composite is incorrect? I was assuming it was due to lack of sync between the server and client.

              Comment


              • #8
                i know its a very old thread but how do i enable DRI3 with nvidia nouveau? on ubuntu and/or manjaro. its a total mystery for me. i can't find any instruction. all i can find is that it work and that i should use mesa/wine-gallium/free drivers. as for example i found only about radeon. does this even works with nvidia?

                Comment

                Working...
                X